Reinforcement UShapeRebar/ro: Difference between revisions

From FreeCAD Documentation
(Created page with "Arch: Bara de armătură îndoită în U")
 
(Updating to match new version of source page)
 
(37 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{GuiCommandAddon|Name=Arch Rebar UShape|Workbenches=[[Arch Module|Arch]]|Addon=Reinforcement|MenuLocation=Arch → Rebar tools|Shortcut=None|SeeAlso=[[Arch_Rebar_LShape|LShape Rebar]]}}


<div class="mw-translate-fuzzy">
==Description==
{{docnav|[[Arch_Rebar_Straight|Straight Rebar]]|[[Arch_Rebar_LShape|LShape Rebar]]|[[Arch_Workbench/ro|Arch]]|IconL=Arch_Rebar_Straight.svg |IconC=Workbench_Arch.svg |IconR=Arch_Rebar_LShape.svg}}
</div>


<div class="mw-translate-fuzzy">
The {{KEY|[[Image:UShapeRebar.png|16px]] UShape Rebar}} tool allows user to create a UShape reinforcing bar in the structural element.
{{GuiCommandAddon/ro
|Name=Arch Rebar UShape
|Name/ro=Arch Rebar UShape
|MenuLocation=Arch → Rebar tools
|Workbenches=[[Arch_Workbench/ro|Arch]]
|Shortcut=None
|SeeAlso=[[Arch_Rebar_LShape/ro|LShape Rebar]]
|Addon=Reinforcement
}}
</div>

<span id="Description"></span>
==Descriere==

<div class="mw-translate-fuzzy">
Instrumentul {{KEY|[[Image:UShapeRebar.png|16px]] UShape Rebar}} permite utilizatorului să creeze o armătură UShape reinforcing în elementul structural.
</div>

This tool is part of the [[Reinforcement_Workbench|Reinforcement Workbench]], an [[External_workbenches|external workbench]] that can be installed with the [[Image:Std_AddonMgr.svg|24px]] [[Std_AddonMgr|Addon Manager]].


[[Image:Arch_Rebar_UShape_example.png|400px]]
<div class="mw-translate-fuzzy">
[[Image:Footing UShapeRebar.png|800px]]
[[Image:Footing UShapeRebar.png|800px]]
</div>


<span id="Usage"></span>
==How to use==
== Cum se folosește ==


<div class="mw-translate-fuzzy">
# Create a [[Arch Structure|structure]] element
# Select any face of the structure
# Creați un element [[Arch Structure|structure]]
# Selectați orice fațetă a structurii
# Then select {{KEY|[[Image:UShapeRebar.png|16px]] UShape Rebar}} from the rebar tools
# Apoi selectați butonul {{KEY|[[Image:UShapeRebar.png|16px]] UShape Rebar}} dintre instrumentele penru armături/rebar tools
# A task panel will pop-out on the left side of the screen as shown below [[Image:UShapeDialog.png|250px]]
# Un task panel contextual va apărea în stânga ecranului după cum se vede în ecranul de mai jos [[Image:UShapeDialog.png|250px]]
# Select the desired orientation
# Selectați orientarea dorită
# Give the inputs like front cover, right side cover, left side cover, bottom cover, top cover, rounding factor and diameter of the rebar
# Dați datele inițiale cum ar fi capacul frontal, capacul lateral din dreapta, capacul din partea stângă, capacul inferior, capacul superior, factorul de rotunjire și diametrul barei
# Select the mode of distribution either amount or spacing
# Selectați modul de distribuție sau mărimea spațiului
# If spacing is selected, a user can also opt for [[Custom_Spacing|custom spacing]]
# Dacă spațierea este selectată, un utilizator poate de asemenea să opteze pentru [[Custom_Spacing|custom spacing]]
# Pick selected face is used to verify or change the face for rebar distribution
# Alegeți fața selectată care este utilizată pentru a verifica sau schimba fațeta pentru distribuția barei
# Click {{KEY|OK}} or {{KEY|Apply}} to generate the rebars
# Click {{KEY|Cancel}} to exit the task panel
# Click pe tasta {{KEY|OK}} sau {{KEY|Apply}} pentru a genera armături rebars
# Click pe tasta {{KEY|Cancel}} pentru a ieși din task panel
</div>


[[Image:UShapeDialog.png|250px]]
==Properties==
{{Caption|Task panel for the tool}}


<span id="Properties"></span>
* {{PropertyData|Orientation}}: It decides the orientation of the rebar (like a bottom, top, right and left).
==Proprietăți==
* {{PropertyData|Front Cover}}: The distance between rebar and selected face.

* {{PropertyData|Right Cover}}: The distance between the right end of the rebar to right face of the structure.
* {{PropertyData|Left Cover}}: The distance between the left end of the rebar to the left face of the structure.
* {{PropertyData|Orientation}}: Acesta decide orientarea armăturii (de ex. jos, sus, drepta și stânga).
* {{PropertyData|Bottom Cover}}: The distance between rebar from the bottom face of the structure.
* {{PropertyData|Front Cover}}: Distanța dintre armături și fațetele selectate.
* {{PropertyData|Top Cover}}: The distance between rebar from the top face of the structure.
* {{PropertyData|Right Cover}}: Distanța între capătul dintre capătul dreapta al armăturii și fațeta dreapta a structurii.
* {{PropertyData|Rounding}}: A rounding value to be applied to the corners of the bars, expressed in times the diameter.
* {{PropertyData|Left Cover}}: Distanța dintre capătul din stânga al armăturii și fațeta stângă a structurii
* {{PropertyData|Amount}}: The amount of rebars.
* {{PropertyData|Bottom Cover}}: Distanța dintre armătură și fațeta de jos a structurii.
* {{PropertyData|Spacing}}: The distance between the axes of each bar.
* {{PropertyData|Top Cover}}: Distanța dintre armătură și fața superioară a structurii.
* {{PropertyData|Rounding}}: O valoare de rotunjire care trebuie aplicată colțurilor barelor, exprimată în raport cu diametrul acestora.
* {{PropertyData|Amount}}: Cantitatea de armătură
* {{PropertyData|Spacing}}: Distnța dintre acele fiecărei bare.


==Scripting==
==Scripting==


<div class="mw-translate-fuzzy">
The {{KEY|[[Image:UShapeRebar.png|16px]] UShape Rebar}} tool can by used in [[macros]] and from the python console by using the following function:
== Scrip-Programare ==
</div>

<div class="mw-translate-fuzzy">
Instrumentul {{KEY|[[Image:UShapeRebar.png|16px]] UShape Rebar}} poate fi utilizat în [[macros]] și din consola Python prin utilizarea următoarea funcție:
</div>


{{Code|code=
{{Code|code=
Rebar = makeUShapeRebar(f_cover, b_cover, r_cover, l_cover,
makeUShapeRebar(FrontCover, BottomCover, RightCover, LeftCover, Diameter, Topcover, Rounding, AmountSpacingCheck, AmountSpacingValue, Orientation, Structure, Facename)
diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation="Bottom",
structure=None, facename=None)
}}
}}

* The UShape Rebar have four different orientations:
<div class="mw-translate-fuzzy">
* Armătura UShape Rebar are patru orientări diferite:
** Bottom
** Bottom
** Top
** Top
** Right
** Right
** Left
** Left
* Adds a UShape reinforcing bar object to the given structural object.
* Adaugă un obiect tip UShape reinforcing bar șa obiectul structural dat.
* Dacă nu este dată nici o structură și nic o Facename, ea va avea ca intrare fațeta selectată de utilizator.
* If no Structure and Facename is given, it will take user selected face as input.
* Returns the new Rebar object.
* Returnează noul obiect Rebar
</div>

<span id="Example"></span>
<div class="mw-translate-fuzzy">
Exemplu:
Crearea unei armături tip bară în U.
</div>


Example:
Creating UShape rebar.
{{Code|code=
{{Code|code=
import Arch, UShapeRebar
import FreeCAD, Arch, UShapeRebar

structure = Arch.makeStructure(length=1000.0, width=1000.0, height=400.0)
Structure = Arch.makeStructure(length=1000, width=1000, height=400)
structure.ViewObject.Transparency = 80
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
FreeCAD.ActiveDocument.recompute()

rebar = UShapeRebar.makeUShapeRebar(20, 20, 20, 20, 8, 20, 4, True, 10, "Bottom", structure, "Face1")
Rebar = UShapeRebar.makeUShapeRebar(50, 20, 20, 20,
8, 50, 4, True, 6, "Bottom", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = UShapeRebar.makeUShapeRebar(50, 50, 20, 20,
8, 50, 4, True, 6, "Bottom", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)
}}
}}

Changing properties of UShape rebar.
=== Edition of the rebar ===

<div class="mw-translate-fuzzy">
Schimbarea proprietăților barei în U.
</div>

{{Code|code=
editUShapeRebar(Rebar, f_cover, b_cover, r_cover, l_cover,
diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation,
structure=None, facename=None)
}}

* {{incode|Rebar}} is a previously created {{incode|UShapeRebar}} object.
* The other parameters are the same as required by the {{incode|makeUShapeRebar()}} function.
* {{incode|structure}} and {{incode|facename}} may be omitted so that the rebar stays in the original structure.

{{Code|code=
{{Code|code=
import UShapeRebar
import UShapeRebar

UShapeRebar.editUShapeRebar(rebar, 25, 25, 25, 25, 16, 25, 2, True, 15, "Top")
UShapeRebar.editUShapeRebar(Rebar, 50, 50, 20, 20,
16, 20, 5, True, 5, "Top")

UShapeRebar.editUShapeRebar(Rebar2, 70, 50, 20, 20,
16, 70, 5, True, 5, "Top")
}}
}}



{{clear}}
<div class="mw-translate-fuzzy">
[[Category:Arch/ro]]
</div>

[[Category:External_Command_Reference{{#translation:}}]]
[[Category:Reinforcement{{#translation:}}]]
{{Arch_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 21:44, 9 March 2024

Arch Rebar UShape

Menu location
Arch → Rebar tools
Workbenches
Arch
Default shortcut
None
See also
LShape Rebar
 
This command is part of the Reinforcement AddOn, that you can install via menu Tools → Addons Manager

Descriere

Instrumentul UShape Rebar permite utilizatorului să creeze o armătură UShape reinforcing în elementul structural.

This tool is part of the Reinforcement Workbench, an external workbench that can be installed with the Addon Manager.

Cum se folosește

  1. Creați un element structure
  2. Selectați orice fațetă a structurii
  3. Apoi selectați butonul UShape Rebar dintre instrumentele penru armături/rebar tools
  4. Un task panel contextual va apărea în stânga ecranului după cum se vede în ecranul de mai jos
  5. Selectați orientarea dorită
  6. Dați datele inițiale cum ar fi capacul frontal, capacul lateral din dreapta, capacul din partea stângă, capacul inferior, capacul superior, factorul de rotunjire și diametrul barei
  7. Selectați modul de distribuție sau mărimea spațiului
  8. Dacă spațierea este selectată, un utilizator poate de asemenea să opteze pentru custom spacing
  9. Alegeți fața selectată care este utilizată pentru a verifica sau schimba fațeta pentru distribuția barei
  10. Click pe tasta OK sau Apply pentru a genera armături rebars
  11. Click pe tasta Cancel pentru a ieși din task panel

Task panel for the tool

Proprietăți

  • DateOrientation: Acesta decide orientarea armăturii (de ex. jos, sus, drepta și stânga).
  • DateFront Cover: Distanța dintre armături și fațetele selectate.
  • DateRight Cover: Distanța între capătul dintre capătul dreapta al armăturii și fațeta dreapta a structurii.
  • DateLeft Cover: Distanța dintre capătul din stânga al armăturii și fațeta stângă a structurii
  • DateBottom Cover: Distanța dintre armătură și fațeta de jos a structurii.
  • DateTop Cover: Distanța dintre armătură și fața superioară a structurii.
  • DateRounding: O valoare de rotunjire care trebuie aplicată colțurilor barelor, exprimată în raport cu diametrul acestora.
  • DateAmount: Cantitatea de armătură
  • DateSpacing: Distnța dintre acele fiecărei bare.

Scripting

Scrip-Programare

Instrumentul UShape Rebar poate fi utilizat în macros și din consola Python prin utilizarea următoarea funcție:

Rebar = makeUShapeRebar(f_cover, b_cover, r_cover, l_cover,
                        diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation="Bottom",
                        structure=None, facename=None)
  • Armătura UShape Rebar are patru orientări diferite:
    • Bottom
    • Top
    • Right
    • Left
  • Adaugă un obiect tip UShape reinforcing bar șa obiectul structural dat.
  • Dacă nu este dată nici o structură și nic o Facename, ea va avea ca intrare fațeta selectată de utilizator.
  • Returnează noul obiect Rebar

Exemplu: Crearea unei armături tip bară în U.

import FreeCAD, Arch, UShapeRebar

Structure = Arch.makeStructure(length=1000, width=1000, height=400)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = UShapeRebar.makeUShapeRebar(50, 20, 20, 20,
                                    8, 50, 4, True, 6, "Bottom", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = UShapeRebar.makeUShapeRebar(50, 50, 20, 20,
                                     8, 50, 4, True, 6, "Bottom", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)

Edition of the rebar

Schimbarea proprietăților barei în U.

editUShapeRebar(Rebar, f_cover, b_cover, r_cover, l_cover,
                diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation,
                structure=None, facename=None)
  • Rebar is a previously created UShapeRebar object.
  • The other parameters are the same as required by the makeUShapeRebar() function.
  • structure and facename may be omitted so that the rebar stays in the original structure.
import UShapeRebar

UShapeRebar.editUShapeRebar(Rebar, 50, 50, 20, 20,
                            16, 20, 5, True, 5, "Top")

UShapeRebar.editUShapeRebar(Rebar2, 70, 50, 20, 20,
                            16, 70, 5, True, 5, "Top")